#!/bin/bash
#-------------------------------------------------------------------------------
# This script cleans the randomizations' subfolders from unneeded files.
#-------------------------------------------------------------------------------
#                            (by Stefano Bragaglia, stefano.bragaglia@gmail.com)



FOLDER=( branches lanes parachutes )
for ((i = 0; i < ${#FOLDER[@]}; i++)); do 

	# Deleting unneeded files
	# -----------------------
	rm ./${FOLDER[$i]}/bdd.*
	rm ./${FOLDER[$i]}/bddl.*		
	rm ./${FOLDER[$i]}/bddu.*
	rm ./${FOLDER[$i]}/cineca_*.lsf
	rm ./${FOLDER[$i]}/comm_*.cmd
	rm ./${FOLDER[$i]}/conf_*
	rm ./${FOLDER[$i]}/test_*.pl
	rm ./${FOLDER[$i]}/*.txt
done 


# Final notification
# ------------------
echo 
echo "Subfolder's cleaning done!"

exit 
